package com.yiqi.app.service.impl;

import java.util.List;
import com.yiqi.common.utils.DateUtils;
import com.yiqi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yiqi.app.mapper.AppCouponTypeApplyOrgMapper;
import com.yiqi.app.domain.AppCouponTypeApplyOrg;
import com.yiqi.app.service.IAppCouponTypeApplyOrgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 优惠券类型适用组织Service业务层处理
 *
 * @author xiaohei
 * @date 2023-09-08
 */
@Service
public class AppCouponTypeApplyOrgServiceImpl extends ServiceImpl<AppCouponTypeApplyOrgMapper, AppCouponTypeApplyOrg> implements IAppCouponTypeApplyOrgService {

    /**
     * 查询优惠券类型适用组织
     *
     * @param id 优惠券类型适用组织主键
     * @return 优惠券类型适用组织
     */
    @Override
    public AppCouponTypeApplyOrg selectAppCouponTypeApplyOrgById(Long id) {
        return baseMapper.selectAppCouponTypeApplyOrgById(id);
    }

    /**
     * 查询优惠券类型适用组织列表
     *
     * @param appCouponTypeApplyOrg 优惠券适用组织
     * @return 优惠券适用组织
     */
    @Override
    public List<AppCouponTypeApplyOrg> selectAppCouponTypeApplyOrgList(AppCouponTypeApplyOrg appCouponTypeApplyOrg) {
        return baseMapper.selectAppCouponTypeApplyOrgList(appCouponTypeApplyOrg);
    }

    @Override
    public List<AppCouponTypeApplyOrg> selectAppCouponTypeApplyOrgList(Long couponTypeId) {
        AppCouponTypeApplyOrg appCouponTypeApplyOrg = new AppCouponTypeApplyOrg();
        appCouponTypeApplyOrg.setCouponTypeId(couponTypeId);
        return baseMapper.selectAppCouponTypeApplyOrgList(appCouponTypeApplyOrg);
    }


    /**
     * 新增优惠券类型适用组织
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 结果
     */
    @Override
    public int insertAppCouponTypeApplyOrg(AppCouponTypeApplyOrg appCouponTypeApplyOrg) {
        appCouponTypeApplyOrg.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertAppCouponTypeApplyOrg(appCouponTypeApplyOrg);
    }

    /**
     * 修改优惠券类型适用组织
     *
     * @param appCouponTypeApplyOrg 优惠券类型适用组织
     * @return 结果
     */
    @Override
    public int updateAppCouponTypeApplyOrg(AppCouponTypeApplyOrg appCouponTypeApplyOrg) {
        appCouponTypeApplyOrg.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateAppCouponTypeApplyOrg(appCouponTypeApplyOrg);
    }

    /**
     * 批量删除优惠券类型适用组织
     *
     * @param ids 需要删除的优惠券类型适用组织主键
     * @return 结果
     */
    @Override
    public int deleteAppCouponTypeApplyOrgByIds(Long[] ids) {
        return baseMapper.deleteAppCouponTypeApplyOrgByIds(ids);
    }

    /**
     * 删除优惠券类型适用组织信息
     *
     * @param id 优惠券类型适用组织主键
     * @return 结果
     */
    @Override
    public int deleteAppCouponTypeApplyOrgById(Long id) {
        return baseMapper.deleteAppCouponTypeApplyOrgById(id);
    }


}
